%global namedreltag .Final
%global namedversion %{version}%{?namedreltag}

Name:          jboss-jsf-2.2-api
Version:       2.2.13
Release:       3%{dist}
Summary:       JavaServer Faces 2.2 API
License:       (CDDL or GPLv2 with exceptions) and ASL 2.0
URL:           http://www.jboss.org
Source0:       https://github.com/jboss/jboss-jsf-api_spec/archive/jboss-jsf-api_2.2_spec-%{namedversion}.tar.gz
Source1:       cddl.txt
Source2:       http://www.apache.org/licenses/LICENSE-2.0.txt

BuildRequires: maven-local
BuildRequires: mvn(com.sun.faces:jsf-impl)
BuildRequires: mvn(javax.enterprise:cdi-api)
BuildRequires: mvn(javax.inject:javax.inject)
BuildRequires: mvn(javax.validation:validation-api)
BuildRequires: mvn(org.apache.felix:maven-bundle-plugin)
BuildRequires: mvn(org.jboss:jboss-parent:pom:)
BuildRequires: mvn(org.jboss.spec.javax.el:jboss-el-api_3.0_spec)
BuildRequires: mvn(org.jboss.spec.javax.servlet.jsp:jboss-jsp-api_2.3_spec)
BuildRequires: mvn(org.jboss.spec.javax.servlet.jstl:jboss-jstl-api_1.2_spec)

BuildArch:     noarch

%description
This package contains JSR-344: JavaServer Faces 2.2 API.

%package javadoc
Summary:       Javadoc for %{name}

%description javadoc	
This package contains the API documentation for %{name}.

%prep
%setup -q -n jboss-jsf-api_spec-jboss-jsf-api_2.2_spec-%{namedversion}

# We don't have this
%pom_remove_dep "org.jboss.spec:jboss-javaee-all-7.0"
# But we have this
%pom_add_dep "javax.inject:javax.inject"
%pom_add_dep "javax.enterprise:cdi-api"

cp %{SOURCE1} .
cp %{SOURCE2} .

sed -i "s,59 Temple Place,51 Franklin Street,;s,Suite 330,Fifth Floor,;s,02111-1307,02110-1301," LICENSE

%build
%mvn_build

%install
%mvn_install

%files -f .mfiles
%license cddl.txt LICENSE LICENSE-2.0.txt
%doc README

%files javadoc -f .mfiles-javadoc
%license cddl.txt LICENSE LICENSE-2.0.txt
%doc README


%changelog
* Wed Jul 26 2017 Fedora Release Engineering <releng@fedoraproject.org> - 2.2.13-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Fri Feb 10 2017 Fedora Release Engineering <releng@fedoraproject.org> - 2.2.13-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Mon Aug 22 2016 gil cattaneo <puntogil@libero.it> 2.2.13-1
- update to 2.2.13.Final

* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 2.2.0-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Thu Jul 30 2015 gil cattaneo <puntogil@libero.it> 2.2.0-6
- Fix FTBFS RHBZ#1239595
- Use BR mvn()-like
- Fix some rpmlint problem
- Introduce license macro
- Adapt to current guideline

* Wed Jun 17 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.2.0-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Tue Jul 01 2014 Marek Goldmann <mgoldman@redhat.com> - 2.2.0-4
- Use proper BR

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.2.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.2.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Mon Jul 15 2013 Marek Goldmann <mgoldman@redhat.com> - 2.2.0-1
- Initial packaging

